Subject: Re: Wanted - a file browser interface to git

From: John Ellson <[email-masked]>
Date: Tue, 18 Oct 2005 21:23:23 -0400

Linus Torvalds wrote:
> On Tue, 18 Oct 2005, John Ellson wrote:
>   
>> An example is:  "I know that file xxx contained algorithm yyy at some point in
>> the past and now I'd like to browse back through the history of xxx to find
>> the exact details."
>>     
>
> You are aware of "git whatchanged -p xxx", right?
>
> Yeah, it's not graphical, and I agree that it might be very cool to have a 
> graphical version of it. But I thought I'd mention it even so. A 
> surprising number of people seem to have never realized, and at least for 
> me personally, it's one of the most common things I do.
>
> 		Linus
>   
Linus,

I wasn't aware of it, no.  Looks very useful.  Thanks.

I see that you can take the tree id from the diff-tree lines and
then produce the state of the file at that time with "cg-admin-cat -r 
<id> xxx"
Is that how you would do it?

Are there any plans for cogito to support it?

John